=== debian/changelog ===
golang-github-cznic-strutil (0.0~git20150430.0.1eb03e3-3) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.
  * Use secure copyright file specification URI.
  * Bump debhelper dependency to >= 9, since that's what is used in debian/compat.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 01 Jul 2022 00:32:52 +0100

golang-github-cznic-strutil (0.0~git20150430.0.1eb03e3-2) unstable; urgency=medium

  [ Tim Potter ]
  * Add me to uploaders

  [ Michael Stapelberg ]
  * Fix Vcs-Git URL

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 28 Jan 2018 20:21:09 +0100

golang-github-cznic-strutil (0.0~git20150430.0.1eb03e3-1) unstable; urgency=medium

  * Initial release (Closes: #814060).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Nov 2015 00:41:03 +1100
